%define module_name	ofa
%define module_release	alt1

%define kversion	2.6.27
%define krelease	alt2
%define flavour		hpc-std
%if "%kversion" == "2.6.27"
%define module_version	1.4.1
%define source_name kernel-source-ofa%module_version
%else
%define module_version	1.5.0
%define source_name kernel-source-ofa
%endif

%define module_dir /lib/modules/%kversion-%flavour-%krelease

%define _unpackaged_files_terminate_build 1

Summary: Infiniband Driver and ULPs kernel modules
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release.132635.2

Url: http://openfabrics.org/
License: Dual: GPL or BSD
Group: System/Kernel and hardware
Patch: 2.6.29.patch

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>


Prereq:         kernel-image-%flavour = %kversion-%krelease

ExclusiveOS: Linux
BuildRequires(pre): rpm-build-kernel
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release
BuildRequires: %source_name = %module_version
ExclusiveArch: %ix86 x86_64

%description 
Core, HW and ULPs kernel modules

%prep
rm -rf %source_name-%module_version
tar -jxf %kernel_src/%source_name-%module_version.tar.bz2
%setup -D -T -n %source_name-%module_version
./configure \
	--kernel-version=%kversion-%flavour-%krelease \
	--kernel-sources=%_usrsrc/linux-%kversion-%flavour-%krelease/ \
	--modules-dir=/lib/modules/%kversion-%flavour-%krelease/openfabrics \
	--with-core-mod --with-ipoib-mod --with-ipoib-cm --with-sdp-mod \
	--with-srp-mod --with-user_mad-mod --with-user_access-mod \
	--with-addr_trans-mod --with-mlx4-mod \
	--with-mlx4_core-mod --with-mlx4_inf-mod \
	--with-rds-mod --with-madeye-mod --with-vnic-mod 
%if "%kversion" == "2.6.29"
%patch -p1
%endif

%build
%make_build SUBARCH=x86

%install
make install DESTDIR=%buildroot SUBARCH=x86

%post 
%post_kernel_modules %kversion-%flavour-%krelease

%postun 
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%module_dir/*

%changelog
* Wed Jul 15 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.4.1-alt1.132635.2
- Build for kernel-image-hpc-std-2.6.27-alt2.

* Mon Jul 06 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.5.0-alt1
- Version 1.5.0 (snapshot 20090629)

* Thu Jun 25 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.4.1-alt1
- OFED 1.4.1

* Mon May 04 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org) 1.4-alt1
- ofa_kernel-1.4-ofed1.4

* Fri Sep 26 2008 Michail Yakushin <silicium@altlinux.ru> 1.3.1-alt1
- 20080603-0200

* Wed Jun 18 2008 Michail Yakushin <silicium@altlinux.ru> 1.2.5.4-alt1
- intial build  

